#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <pthread.h>
#include <gtk/gtk.h>

#define OZEDIT_VERSION 0
#define OZEDIT_SUBVERSION 0
#define OZEDIT_PATCH 1

#define CONFIGURATION_FILE "ozedit.conf"

#define OBJECT_TYPE_NONE 0
#define OBJECT_TYPE_UNKNOWN 1
#define OBJECT_TYPE_CHEADER 2
#define OBJECT_TYPE_CSOURCE 3

#define OBJECT_STATUS_OK 0
#define OBJECT_STATUS_NEW 1
#define OBJECT_STATUS_UNSAVED 2

#define DEBUG 1

struct _OzEDIT_Object {
    gchar name[255];
    gchar filename[255];
    guint type;   /* Tipo di oggetto */
    guint status; /* Stato dell'oggetto */
    guint frame_id; /* ID Progressivo del FRAME */
    GtkWidget *frame,*w_textview,*w_scrolled,*w_label,*w_entry,*w_vbox;
    GdkColor color;
    GtkTextTag *tag_blue,*tag_red,*tag_green,*tag_gray;
    GtkTextBuffer *text_buffer;
    GtkTreeIter treeiter;
};

struct _OzEDIT_TopClass {
    gchar wsname[255];
    gchar wsfilename[255];
    GList *objects;
    GtkWidget *notebook,*statusbar,*maintree,*console;
    GtkTreeStore *treestore;
    guint notebook_current_page,current_frame_id;
    guint object_counter;
} topclass;
